<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 0300_Endurance</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>0300_Endurance<br/>
<small>
[<a class="el" href="group___trusted_u_i.html">TrustedUI</a>]</small>
</h1>  </div>
</div>
<div class="contents">

<p>NEEDS: UUID 078A0000000000000000000000000000.  
<a href="#_details">More...</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____endurance.html#ga54e56b84fbc9420a18f90c1f49c2a218">TestCase_GC0300_OpenSessionCloseSession</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____endurance.html#ga30b7faed3ead80a1c7b07f3c1780ce08">TestCase_GC0301_OpenSessionSetImageCloseSession</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____endurance.html#ga515893193c485abd3ade270c78491139">TestCase_GC0302_OpenSessionSetImage5XCloseSession</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>NEEDS: UUID 078A0000000000000000000000000000. </p>
<dl class="user"><dt><b>Description:</b></dt><dd>: Test the TUI driver in endurance scenarios. </dd></dl>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga54e56b84fbc9420a18f90c1f49c2a218"></a><!-- doxytag: member="0300_Endurance.cpp::TestCase_GC0300_OpenSessionCloseSession" ref="ga54e56b84fbc9420a18f90c1f49c2a218" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC0300_OpenSessionCloseSession </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>078a0000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Open TA1 </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TA1 open TUI session and close TUI session. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiTuiOpenSession then tlApiTuiCloseSession from TA1. Do this scenario 100 times </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Check TA1 result must be RET_OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>Close TA1 Session </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>TrustedUI.0300_Endurance.GC0300_OpenSessionCloseSession </dd></dl>

</div>
</div>
<a class="anchor" id="ga30b7faed3ead80a1c7b07f3c1780ce08"></a><!-- doxytag: member="0300_Endurance.cpp::TestCase_GC0301_OpenSessionSetImageCloseSession" ref="ga30b7faed3ead80a1c7b07f3c1780ce08" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC0301_OpenSessionSetImageCloseSession </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>078a0000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Open TA1 </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TA1 open TUI session, call SetImage then close TUI session. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiTuiOpenSession, tlApiTuiSetImage, then tlApiTuiCloseSession from TA1. Do this scenario 50 times </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Check TA1 result must be RET_OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>Close TA1 </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>TrustedUI.0300_Endurance.GC0301_OpenSessionSetImageCloseSession </dd></dl>

</div>
</div>
<a class="anchor" id="ga515893193c485abd3ade270c78491139"></a><!-- doxytag: member="0300_Endurance.cpp::TestCase_GC0302_OpenSessionSetImage5XCloseSession" ref="ga515893193c485abd3ade270c78491139" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC0302_OpenSessionSetImage5XCloseSession </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>078a0000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Open TA1 </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TA1 open TUI session, call SetImage 5 times, then close TUI session </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiTuiOpenSession, tlApiTuiSetImage 5 times, then tlApiTuiCloseSession from TA1. Do this scenario 50 times </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Check TA1 result must be RET_OK </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>Close TA1 </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>TrustedUI.0300_Endurance.GC0302_OpenSessionSetImage5XCloseSession </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
